import { DesktopOutlined } from '@ant-design/icons'
import { AdminRouterItem } from "../../router";
import WeCom from "./weCom";
import WeGZH from "./weGZH";
import { Outlet } from "react-router-dom";

const demoRoutes: AdminRouterItem[] = [
  {
		path: 'publishContent',
		element: <Outlet />,
		meta: {
			label: "发布内容管理",
			title: "发布内容管理",
			key: "/publishContent",
			icon: <DesktopOutlined />,
		},
		children: [
			{
				path: 'wegzh',
				element: <WeGZH />,
				meta: {
					label: "公众号",
					title: "公众号",
					key: "/publishContent/wegzh",
					icon: <DesktopOutlined />,
				}
			},
			{
				path: 'wecom',
				element: <WeCom />,
				meta: {
					label: "企微",
					title: "企微",
					key: "/publishContent/wecom",
					icon: <DesktopOutlined />,
				}
			},
		]
	}
]

export default demoRoutes
